# Infrastructure

Légitimité : 4- Recommandation (Jules)   
Diffusion : Interne - Coopérative   
Dernière modification : 08/11/2021   

Ce dépôt référence toutes les ressources et la documentation nécessaire à l'infrastructure de la coopérative. Sauf cas exceptionnel, il n'est pas destiné à contenir du code executable, seulement de la documentation, la localisation des executables utilisés, à l'étude ou en test.

## Avant toutes utilisations de documents

Les documents de ce dépôt ou référencé dans ce dépôt sont privés par défaut. Sauf mention explicite de la mention « Public » ou la mention d'une accessibilité extérieur, leur diffusion est limitée à un usage interne.

Avant toutes copies ou diffusion d'un document, merci de consulter le document [Référence de Securité](securite/info_securite_info.md).
Après toutes modification d'un document, merci de tenir à jour l'index les documents et de faire mention de la date de modification, comme précisé dans [Référence de conservation des données](securite/conservation_securite.md)

## Niveau de légitimité

Chaque documents posté sur le dépôt doit mentionner le niveu de légitimité de sa rédaction (par ordre décroissant):

 1- Coopérative, décision directe de la coopérative, par exemple de l'assemblée générale.   
 2- Commissionée, décision d'une comission, décision indirect de la coopérative via un mandat impératif et révocable confié à un groupe.   
 3- Mandatée, décision indirect de la coopérative via un mandat impératif et révocable confié à une personne.   
 4- Recommandation, incité par une membre de la coopérative, sans que cela ne reflète d'application de décision collective.   
 5- Suggérée, suggestion d'une une membre de la coopérative, sans que cela ne reflète d'application de décision collective.   

Un document peu évoluer d'un niveau à l'autre, s'il est enteriné par l'instance concernée.

## Politique d'édition

Pour l'instant, le dépôt étant versionné, tout ces documents sont ouvert à la création, à la modification, ou à la suppression. Sauf motif légitime, les modifications d'un document par un niveau de légitimité inférieur sont à proscrire.
Un document dont le niveau est « 2- Commissionnée » ne doit pas être modifié par une membre ( i.e « 4- Recommandation » ). Cependant, chacune est libre d'effectuer tout de même ces modifications, par exemple si des informations sensibles sont présent sans raisons.

### Sur la sécurité

Le dépôt étant versionné, l'ajout d'information sensible ne peut pas être retiré sans de longues interventions techniques. Les procédures explorée précédemment visent à purger ces informations des documents, dont certains sont amenés à être utilisés en dehors de ce dépôt, elles ne suffisent pas à retirer toutes traces de ces informations du dépôt. Pour cela, il faut contacter d'urgence une membre ayant les accès super-utilisatrice sur le serveur hébergeant le dépôt.